<?xml version="1.0" encoding="ISO-8859-1"?>
<!--- Copyright (c) 2020, The Linux Foundation. All rights reserved.       -->
<!---                                                                           -->
<!--- Redistribution and use in source and binary forms, with or without        -->
<!--- modification, are permitted provided that the following conditions are    -->
<!--- met:                                                                      -->
<!---     * Redistributions of source code must retain the above copyright      -->
<!---       notice, this list of conditions and the following disclaimer.       -->
<!---     * Redistributions in binary form must reproduce the above             -->
<!---       copyright notice, this list of conditions and the following         -->
<!---       disclaimer in the documentation and/or other materials provided     -->
<!---       with the distribution.                                              -->
<!---     * Neither the name of The Linux Foundation nor the names of its       -->
<!---       contributors may be used to endorse or promote products derived     -->
<!---       from this software without specific prior written permission.       -->
<!---                                                                           -->
<!--- THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED              -->
<!--- WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF      -->
<!--- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT    -->
<!--- ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS    -->
<!--- BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR    -->
<!--- CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF      -->
<!--- SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR           -->
<!--- BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,     -->
<!--- WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE      -->
<!--- OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN    -->
<!--- IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                             -->
<mixer>
    <ctl name="LSM1 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM2 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM3 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM4 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM5 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM6 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM7 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM8 Mixer VA_CDC_DMA_TX_0" value="0"/>
    <ctl name="LSM1 Port" value="None"/>
    <ctl name="LSM2 Port" value="None"/>
    <ctl name="LSM3 Port" value="None"/>
    <ctl name="LSM4 Port" value="None"/>
    <ctl name="LSM5 Port" value="None"/>
    <ctl name="LSM6 Port" value="None"/>
    <ctl name="LSM7 Port" value="None"/>
    <ctl name="LSM8 Port" value="None"/>
    <ctl name="VA_CDC_DMA_TX_0 Channels" value="One"/>
    <ctl name="VA_CDC_DMA_TX_0 SampleRate" value="KHZ_16"/>
    <ctl name="VA_AIF1_CAP Mixer DEC0" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC1" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC2" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC3" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC4" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC5" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC6" value="0"/>
    <ctl name="VA_AIF1_CAP Mixer DEC7" value="0"/>
    <ctl name="VA DMIC MUX0" value="ZERO"/>
    <ctl name="VA DMIC MUX1" value="ZERO"/>
    <ctl name="VA DMIC MUX2" value="ZERO"/>
    <ctl name="VA DMIC MUX3" value="ZERO"/>
    <ctl name="VA DMIC MUX4" value="ZERO"/>
    <ctl name="VA DMIC MUX5" value="ZERO"/>
    <ctl name="VA DMIC MUX6" value="ZERO"/>
    <ctl name="VA DMIC MUX7" value="ZERO"/>
    <ctl name="VA SMIC MUX0" value="ZERO"/>
    <ctl name="VA SMIC MUX1" value="ZERO"/>
    <ctl name="VA SMIC MUX2" value="ZERO"/>
    <ctl name="VA SMIC MUX3" value="ZERO"/>
    <ctl name="VA SMIC MUX4" value="ZERO"/>
    <ctl name="VA SMIC MUX5" value="ZERO"/>
    <ctl name="VA SMIC MUX6" value="ZERO"/>
    <ctl name="VA SMIC MUX7" value="ZERO"/>
    <ctl name="ADC2 MUX" value="INP2"/>
    <ctl name="ADC3 MUX" value="INP4"/>
    <ctl name="ADC4 MUX" value="INP5"/>
    <ctl name="ADC1_MIXER Switch" value="0"/>
    <ctl name="ADC2_MIXER Switch" value="0"/>
    <ctl name="ADC3_MIXER Switch" value="0"/>
    <ctl name="ADC4_MIXER Switch" value="0"/>
    <ctl name="ADC1 Volume" value="6"/>
    <ctl name="ADC2 Volume" value="6"/>
    <ctl name="ADC3 Volume" value="6"/>
    <ctl name="ADC4 Volume" value="6"/>
    <ctl name="AUDIO_REF_EC_UL1 MUX" value="None"/>
    <ctl name="EC Reference Channels" value="Zero"/>
    <ctl name="EC Reference Bit Format" value="0"/>
    <ctl name="EC Reference SampleRate" value="0"/>
    <ctl name="LPI Enable" value="0"/>
    <ctl name="VA_DEC0 MODE" value="ADC_DEFAULT"/>
    <ctl name="VA_DEC1 MODE" value="ADC_DEFAULT"/>
    <ctl name="VA_DEC2 MODE" value="ADC_DEFAULT"/>
    <ctl name="VA_DEC3 MODE" value="ADC_DEFAULT"/>
    <ctl name="ADC2_BCS Disable" value="0"/>
    <ctl name="HDR12 MUX" value="NO_HDR12"/>
    <ctl name="HDR34 MUX" value="NO_HDR34"/>
    <ctl name="TX0 MODE" value="ADC_LP"/>
    <ctl name="TX1 MODE" value="ADC_LP"/>
    <ctl name="TX2 MODE" value="ADC_LP"/>
    <ctl name="TX3 MODE" value="ADC_LP"/>
    <ctl name="ADC1 ChMap" value="ZERO"/>
    <ctl name="ADC2 ChMap" value="ZERO"/>
    <ctl name="ADC3 ChMap" value="ZERO"/>
    <ctl name="ADC4 ChMap" value="ZERO"/>
    <ctl name="VA DEC0 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC1 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC2 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC3 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC4 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC5 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC6 MUX" value="MSM_DMIC"/>
    <ctl name="VA DEC7 MUX" value="MSM_DMIC"/>
    <path name="listen-voice-wakeup-1">
        <ctl name="LSM1 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-2">
        <ctl name="LSM2 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-3">
        <ctl name="LSM3 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-4">
        <ctl name="LSM4 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-5">
        <ctl name="LSM5 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-6">
        <ctl name="LSM6 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-7">
        <ctl name="LSM7 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-8">
        <ctl name="LSM8 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-1">
        <ctl name="LSM1 Mixer VA_CDC_DMA_TX_0" value="1"/>
    </path>
    <path name="listen-voice-wakeup-1 preproc">
        <path name="listen-voice-wakeup-1"/>
    </path>
    <path name="listen-voice-wakeup-2 preproc">
        <path name="listen-voice-wakeup-2"/>
    </path>
    <path name="listen-voice-wakeup-3 preproc">
        <path name="listen-voice-wakeup-3"/>
    </path>
    <path name="listen-voice-wakeup-4 preproc">
        <path name="listen-voice-wakeup-4"/>
    </path>
    <path name="listen-voice-wakeup-5 preproc">
        <path name="listen-voice-wakeup-5"/>
    </path>
    <path name="listen-voice-wakeup-6 preproc">
        <path name="listen-voice-wakeup-6"/>
    </path>
    <path name="listen-voice-wakeup-7 preproc">
        <path name="listen-voice-wakeup-7"/>
    </path>
    <path name="listen-voice-wakeup-8 preproc">
        <path name="listen-voice-wakeup-8"/>
    </path>
    <path name="listen-voice-wakeup-1 port">
        <ctl name="LSM1 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-2 port">
        <ctl name="LSM2 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-3 port">
        <ctl name="LSM3 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-4 port">
        <ctl name="LSM4 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-5 port">
        <ctl name="LSM5 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-6 port">
        <ctl name="LSM6 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-7 port">
        <ctl name="LSM7 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-8 port">
        <ctl name="LSM8 Port" value="VA_CDC_DMA_TX_0"/>
        <ctl name="LPI Enable" value="1"/>
    </path>
    <path name="listen-voice-wakeup-1 preproc port">
        <ctl name="LSM1 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-2 preproc port">
        <ctl name="LSM2 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-3 preproc port">
        <ctl name="LSM3 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-4 preproc port">
        <ctl name="LSM4 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-5 preproc port">
        <ctl name="LSM5 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-6 preproc port">
        <ctl name="LSM6 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-7 preproc port">
        <ctl name="LSM7 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-voice-wakeup-8 preproc port">
        <ctl name="LSM8 Port" value="ADM_LSM_TX"/>
        <ctl name="LPI Enable" value="0"/>
    </path>
    <path name="listen-ape-handset-qmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Four"/>
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC2" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC3" value="1"/>
        <ctl name="VA DEC0 MUX" value="SWR_MIC"/>
        <ctl name="VA DEC1 MUX" value="SWR_MIC"/>
        <ctl name="VA DEC2 MUX" value="SWR_MIC"/>
        <ctl name="VA DEC3 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA_DEC1 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA_DEC2 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA_DEC3 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX0" value="SWR_MIC9"/>
        <ctl name="VA SMIC MUX1" value="SWR_MIC0"/>
        <ctl name="VA SMIC MUX2" value="SWR_MIC8"/>
        <ctl name="VA SMIC MUX3" value="SWR_MIC1"/>
        <ctl name="ADC2_BCS Disable" value="1"/>
        <ctl name="ADC2 MUX" value="INP3"/>
        <ctl name="ADC3 MUX" value="INP4"/>
        <ctl name="ADC4 MUX" value="INP5"/>
        <ctl name="HDR12 MUX" value="NO_HDR12"/>
        <ctl name="HDR34 MUX" value="NO_HDR34"/>
        <ctl name="ADC1 ChMap" value="SWRM_TX1_CH1"/>
        <ctl name="ADC1_MIXER Switch" value="1"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX1_CH2"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="ADC3 ChMap" value="SWRM_TX3_CH1"/>
        <ctl name="ADC3_MIXER Switch" value="1"/>
        <ctl name="ADC4 ChMap" value="SWRM_TX3_CH2"/>
        <ctl name="ADC4_MIXER Switch" value="1"/>
    </path>
    <path name="listen-ape-headset-mic">
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1"/>
        <ctl name="VA DEC0 MUX" value="SWR_MIC"/>
        <ctl name="VA SMIC MUX0" value="SWR_MIC1"/>
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="One"/>
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR"/>
        <ctl name="ADC2 MUX" value="INP2"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX2_CH2"/>
        <ctl name="HDR12 MUX" value="NO_HDR12"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="ADC2_BCS Disable" value="1"/>
        <ctl name="ADC2 Volume" value="12"/>
    </path>
    <path name="echo-reference headphones">
        <ctl name="AUDIO_REF_EC_UL1 MUX" value="RX_CDC_DMA_RX_0"/>
        <ctl name="EC Reference Channels" value="Two"/>
        <ctl name="EC Reference Bit Format" value="S16_LE"/>
        <ctl name="EC Reference SampleRate" value="48000"/>
    </path>
    <path name="echo-reference headset">
        <path name="echo-reference headphones"/>
    </path>
    <path name="echo-reference a2dp">
        <ctl name="AUDIO_REF_EC_UL1 MUX" value="SLIM_7_RX"/>
        <ctl name="EC Reference Channels" value="Two"/>
        <ctl name="EC Reference Bit Format" value="S16_LE"/>
        <ctl name="EC Reference SampleRate" value="48000"/>
    </path>
    <path name="listen-ape-handset-mic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="One" />
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1" />
        <ctl name="VA DEC0 MUX" value="SWR_MIC" />
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR" />
        <ctl name="VA SMIC MUX0" value="SWR_MIC4" />
        <ctl name="TX0 MODE" value="ADC_LP" />
        <ctl name="ADC1 ChMap" value="SWRM_TX2_CH1" />
        <ctl name="ADC1_MIXER Switch" value="1" />
        <ctl name="ADC1 Volume" value="20"/>
    </path>
    <path name="listen-ape-handset-mic-preproc">
        <path name="listen-ape-handset-mic"/>
    </path>
    <path name="listen-ape-handset-dmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Two"/>
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1"/>
        <ctl name="VA DEC0 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX0" value="SWR_MIC1"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX1_CH2"/>
        <ctl name="ADC2 MUX" value="INP3"/>
        <ctl name="HDR12 MUX" value="NO_HDR12"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1"/>
        <ctl name="VA DEC1 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC1 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX1" value="SWR_MIC4"/>
        <ctl name="ADC3 ChMap" value="SWRM_TX2_CH1"/>
        <ctl name="ADC3 MUX" value="INP4"/>
        <ctl name="HDR34 MUX" value="NO_HDR34"/>
        <ctl name="ADC3_MIXER Switch" value="1"/>
    </path>
    <path name="listen-ape-handset-tmic">
        <ctl name="VA_CDC_DMA_TX_0 Channels" value="Three"/>
        <ctl name="VA_AIF1_CAP Mixer DEC0" value="1"/>
        <ctl name="VA DEC0 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC0 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX0" value="SWR_MIC1"/>
        <ctl name="ADC2 ChMap" value="SWRM_TX1_CH2"/>
        <ctl name="ADC2 MUX" value="INP3"/>
        <ctl name="HDR12 MUX" value="NO_HDR12"/>
        <ctl name="ADC2_MIXER Switch" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC1" value="1"/>
        <ctl name="VA DEC1 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC1 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX1" value="SWR_MIC0"/>
        <ctl name="ADC1 ChMap" value="SWRM_TX1_CH1"/>
        <ctl name="ADC1_MIXER Switch" value="1"/>
        <ctl name="VA_AIF1_CAP Mixer DEC2" value="1"/>
        <ctl name="VA DEC2 MUX" value="SWR_MIC"/>
        <ctl name="VA_DEC2 MODE" value="ADC_LOW_PWR"/>
        <ctl name="VA SMIC MUX2" value="SWR_MIC4"/>
        <ctl name="ADC3 ChMap" value="SWRM_TX2_CH1"/>
        <ctl name="ADC3 MUX" value="INP4"/>
        <ctl name="HDR34 MUX" value="NO_HDR34"/>
        <ctl name="ADC3_MIXER Switch" value="1"/>
    </path>
    <path name="echo-reference">
        <ctl name="AUDIO_REF_EC_UL1 MUX" value="WSA_CDC_DMA_RX_0"/>
        <ctl name="EC Reference Channels" value="One"/>
        <ctl name="EC Reference Bit Format" value="S16_LE"/>
        <ctl name="EC Reference SampleRate" value="48000"/>
    </path>
    <path name="echo-reference handset">
        <ctl name="AUDIO_REF_EC_UL1 MUX" value="RX_CDC_DMA_RX_0"/>
        <ctl name="EC Reference Channels" value="One"/>
        <ctl name="EC Reference Bit Format" value="S16_LE"/>
        <ctl name="EC Reference SampleRate" value="48000"/>
    </path>
</mixer>